from Products.CMFCore.CMFCorePermissions import View
from Products.Archetypes.public import *

schema = BaseSchema + Schema((
    # schamelessly stolen from ATCT (thanks Christian)
    TextField('text',
              required=True,
              searchable=True,
              primary=True,
              #validators = ('isTidyHtmlWithCleanup',),
              #validators = ('isTidyHtml',),
              default_content_type = 'text/restructured',
              default_output_type = 'text/html',
              allowable_content_types = ('text/structured',
                                         'text/restructured',
                                         'text/html',
                                         'text/plain',
                                         'text/plain-pre',
                                         'text/python-source',),
              widget = RichWidget(
                        description = "The body text of the chapter.",
                        description_msgid = "help_body_text",
                        label = "Body text",
                        label_msgid = "label_body_text",
                        rows = 25,
                        i18n_domain = "plone",
                        helper_css = ('image_scaling.css',),
                        )
              ),
    ))

class Chapter(BaseContent):
    """basically a document with a custom view"""
    global_allow = 0
    schema = schema

    actions = (
        {
        'id'           : 'view',
        'name'         : 'View',
        'action'       : 'string:${object_url}/chapter_view',
        'permissions'  : (View,),
        'category'     : 'object',
        },
        )

registerType(Chapter)



