from Products.CMFCore.CMFCorePermissions import AddPortalContent

ADD_CONTENT_PERMISSION = AddPortalContent
PROJECTNAME = "PloneBook"
SKINS_DIR = 'skins'

GLOBALS = globals()

# Defaults for generating on online version of the Plone book

BOOK_ID = "PloneBook"
BOOK_TITLE = "The Definitive Guide to Plone"
BOOK_DESCRIPTION = "Andy McKay: The Definitive Guide to Plone. Apress 2004"

CHAPTER_IDS = ('ch1.rst', 'ch2.rst', 'ch3.rst',
               'ch4.rst', 'ch5.rst', 'ch6.rst',
               'ch7.rst', 'ch8.rst', 'ch9.rst',
               'ch10.rst', 'ch11.rst', 'ch12.rst',
               'ch13.rst', 'ch14.rst',)

CHAPTER_TITLES = {
    'ch1.rst' : "1. Introducing Plone",
    'ch2.rst' : "2. Installing Plone",
    'ch3.rst' : "3. Adding and Editing Content",
    'ch4.rst' : "4. Making Simple Customizations",
    'ch5.rst' : "5. Introducing Basic Plone Templating",
    'ch6.rst' : "6. Introducing Advanced Plone Templating and Scripting",
    'ch7.rst' : "7. Customizing the Look and Feel of Plone",
    'ch8.rst' : "8. Managing Workflow",
    'ch9.rst' : "9. Setting Up Security and Users",
    'ch10.rst' : "10. Integrating with Other Systems",
    'ch11.rst' : "11. Manipulating and Categorizing Content Types",
    'ch12.rst' : "12. Writing a Product in Python",
    'ch13.rst' : "13. Developing with Archetypes",
    'ch14.rst' : "14. Administering and Scaling Plone",
    }

CHAPTER_DESCRIPTIONS = {
    'ch1.rst' : "A company without a Web site is unthinkable -- and most companies and organizations have more than one site. Whether it's an external site for communicating with clients, an intranet for employees to use, or a site for direct client communication and feedback, all Web sites have a common problem -- how to manage the content on them. This is a challenge that can often cost organizations large amounts of time and effort. Producing a powerful yet flexible system for these sites that meets ever-changing requirements while growing to meet your company's emerging needs isn't easy.",
    'ch2.rst' : "This chapter explains how to install Plone on a variety of platforms and set the basic configuration options for Plone. If you want to try Plone really quickly, then your best bet is to go to the live demonstration site at http://demo.plone.org; you can try adding and editing content immediately without installing anything.",
    'ch3.rst' : "Adding and editing content is a simplification of the sheer power that Plone has available to leverage. Creating content-rich and feature-rich Web pages with Plone is an absolute breeze. If you have Plone installed locally, then this chapter shows you how Plone works straight out of the box. However, if you don't have Plone installed, then don't worry; you can try Plone online by going to http://demo.plone.org.",
    'ch4.rst' : "After you've figured out how to add and edit content, you'll want to start customizing your site. This chapter explains how to perform simple customizations in Plone using the options available to administrators. Performing the customizations in this chapter requires a user to be logged in with the manager role, as discussed in Chapter 2.",
    'ch5.rst' : "Plone puts together three layers of technology to create a page. Python and page templates create some Hypertext Markup Language (HTML), which is sent to the browser. There, some Cascading Style Sheets (CSS) render the nice page with which you're now familiar. Those two first elements, the Python code and the page templates, are the main areas of discussion in this chapter and Chapter 6.",
    'ch6.rst' : "The previous chapter covered how the Zope Page Templates system works. To understand page templates, Chapter 5 also covered the object hierarchy, acquisition, and Template Attribute Language Expression Syntax (TALES). Using the code from the previous chapter, you were able to generate dynamic Web pages. The chapter also showed an example page template that plugged the code together, covered the building blocks of the templating system in Plone, and provided the key information you'll need in order to use Plone.",
    'ch7.rst' : "Over the previous two chapters I've covered some of the core components of Plone's user interface, including Script (Python) objects and page templates. It's now time to cover exactly how you construct the look and feel of a Plone site. This chapter includes the objects from previous chapters and introduces some new ones.",
    'ch8.rst' : "One of Plone's many strengths is the workflow component. Workflow fits into one of the core themes of content management, which is the separation of logic, content, and presentation. This chapter therefore covers Plone's workflow in detail.",
    'ch9.rst' : "Plone has a powerful and fine-grained security model. It provides a myriad of options for security at all levels so each object can have custom security for a user, a role, a group, and so on.",
    'ch10.rst' : "Integration is a huge issue in any enterprise that has a large number of other systems already in place. Because Plone is an open-source project, it has a lot of products, add-ons, skins, and tools that provide extra functionality for free. That's right -- often these extra products are given away to anyone who wants them. Additionally, as an open-source language, Python has a whole host of free, excellent products (often called packages). Most of these products don't directly affect Plone, though. In other words, they don't give functionality to Plone out of the box -- that's what Plone products do. However, people often ask, 'Can Plone do X?' The answer is often, 'Yes, if Python can do it.'",
    'ch11.rst' : "Throughout the book I've shown you how to add content to your site, and I've discussed the content types that come with Plone, such as documents, images, and so on. So far, however, you've been restricted to just these content types and the ones provided as products that you can find on the Internet. But the most powerful part of Plone is the core topic of this chapter: manipulating these content types.",
    'ch12.rst' : "Writing a product for Plone allows you to do almost anything you'd like to do with Plone. Using Python to write content types or tools is the best way to provide ultimate flexibility. If you have a burning need for Plone to do something specific and it isn't covered elsewhere, then this is your opportunity to add this feature by writing a product. This could be storing some type of content specific to your company or some manipulation unique to you. In the previous chapter, I showed how you can customize a content type. This customization can take you only so far, though; you can't actually add new attributes to your content type, for example. Instead, you'll probably want to write your own content type.",
    'ch13.rst' : "Archetypes is a framework for automating the development of products in Plone. Once a description has been written for a content type in Python, Archetypes handles almost everything else, including creating view and edit forms for the developer. This allows you to develop content types quickly and with a minimum amount of code. The less code written means a lower probability of bugs, less code to maintain as Plone changes, a quick development cycle, and generally lower costs.",
    'ch14.rst' : "This chapter covers the tasks you have to worry about once you've built your site and are using it. I start by covering the administration of a Plone site, which is actually quite straightforward. Next, I cover what files to back up, including when and how to back them up. I also cover upgrades to Plone.",
    }

