#
# Testing PloneBook's local navigation support
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
from Products.CMFPlone.tests import PloneTestCase

ZopeTestCase.installProduct('Archetypes')
ZopeTestCase.installProduct('PortalTransforms')
ZopeTestCase.installProduct('MimetypesRegistry')
ZopeTestCase.installProduct('PloneBook')


class TestLocalNavigation(PloneTestCase.PloneTestCase):

    def afterSetUp(self):
        self.qi = self.portal.portal_quickinstaller
        self.qi.installProduct('Archetypes')
        self.qi.installProduct('PloneBook')

    def testLocalNavigation(self):
        ti = getattr(self.portal.portal_types,'Plone Book')
        ti.global_allow = 1
        uf = self.folder
        uf.invokeFactory(type_name='Plone Book',
                         id='book')
        book = uf.book
        book.update(source='fallback')
        c1 = getattr(book,'ch1.rst')
        c2 = getattr(book,'ch2.rst')
        ## c3 = getattr(book,'ch3.rst')

        self.failUnless(book.getNext(c1) == c2)
        self.failUnless(c1.getNext(c1) == c2)
        self.failUnless(c2.getPrevious(c2) == c1)

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestLocalNavigation))
    return suite

if __name__ == '__main__':
    framework()

