#
# Testing PloneBook's upload from fallback
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
from Products.CMFPlone.tests import PloneTestCase

ZopeTestCase.installProduct('Archetypes')
ZopeTestCase.installProduct('PortalTransforms')
ZopeTestCase.installProduct('MimetypesRegistry')
ZopeTestCase.installProduct('PloneBook')


class TestPloneBookUpload(PloneTestCase.PloneTestCase):

    def afterSetUp(self):
        self.qi = self.portal.portal_quickinstaller
        self.qi.installProduct('Archetypes')
        self.qi.installProduct('PloneBook')

    def testInstantiation(self):
        # change global allow to make it generally available
        ti = getattr(self.portal.portal_types,'Plone Book')
        ti.global_allow = 1
        uf = self.folder
        uf.invokeFactory(type_name='Plone Book',
                         id='book')
        self.failUnless('book' in uf.contentIds())
        book = uf.book
        self.failUnless(book.Title() == 'The Definitive Guide to Plone')

    def testUpload(self):
        ti = getattr(self.portal.portal_types,'Plone Book')
        ti.global_allow = 1
        uf = self.folder
        uf.invokeFactory(type_name='Plone Book',
                         id='book')
        book = uf.book
        book.update(source='fallback')
        for id in ['ch1.rst','ch14.rst','img']:
            self.failUnless(id in book.contentIds())


def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestPloneBookUpload))
    return suite

if __name__ == '__main__':
    framework()

